apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: pg-sanitizer-workflowtaskresults
  namespace: argo
rules:
  - apiGroups:
      - argoproj.io
    resources:
      - workflowtaskresults
    verbs:
      - create
      - get
      - patch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: pg-sanitizer-workflowtaskresults
  namespace: argo
subjects:
  - kind: ServiceAccount
    name: pg-sanitizer
    namespace: argo
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: pg-sanitizer-workflowtaskresults
